netrik (1.16.1-4build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 17 Dec 2025 19:36:02 +0000

netrik (1.16.1-4) unstable; urgency=medium

  * QA upload.
  * Use new DH level format. Consequently:
    - d/compat: removed.
    - d/control: changed from 'debhelper' to 'debhelper-compat' in
      Build-Depends field and bumped level to 13.
   * Updated d/rules file:
     - Added compilation option to enable "bindnow" in linker.
     - Removed "--with autoreconf" in the dh call.
     - Updated the encoding of the 'doc/hacking-layout.html' file.
   * d/watch: updated watch file version from 3 to 4.
   * d/control: bumped Standards-Version to 4.6.2.
   * d/control: dropped unnecessary dependency on 'dh-autoreconf'
   * d/control: changed from 'libncursesw5-dev' to 'libncurses-dev'
     in Build-Depends field.
   * debian/patches: created 01-fix-typos-in-manpages.patch
     to fix typos in the manpages.

 -- Aquila Macedo Costa <aquilamacedo@riseup.net>  Tue, 04 Jul 2023 19:26:53 -0300

netrik (1.16.1-3) UNRELEASED; urgency=medium

  * Migrate repository from alioth to salsa.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 27 May 2022 20:22:43 +0100

netrik (1.16.1-2) unstable; urgency=medium

  * QA upload. (See #770237)
    + Set Maintainer to QA group
  * Add collab-maint git repository and according Vcs-* headers.
  * Apply wrap-and-sort.
  * Convert to source format "3.0 (quilt)".
    + Fix AUTHORS.patch to properly convert file to UTF-8.
  * Bump debhelper compatibility to 9 as recommended.
    + Update versioned build-dependency on debhelper accordingly.
  * Rewrite debian/rules with dh v7 style and dh-autoreconf
    + Replace build-dependency on automake with dh-autoreconf
    + Remove debian/Makefile.* and patch out "SUBDIRS = debian"
    + No more delete files from orig.tar.gz in clean target.
    + Use dh_auto_{configure,build,install,clean}
  * Remove no more needed lintian override.
  * Rename all debian/netrik.… files to debian/… for consistency.
  * Declare compliance with Debian Policy 3.9.6.
  * Don't install test suite into binary package. (Also fixes lintian
    warning package-contains-timestamped-gzip.)
  * Install NEWS as upstream changelog instead just as documentation.
  * Fix lintian warning copyright-refers-to-symlink-license.
  * Apply configure.ac patch by Simon Ruderich to properly pass hardening
    flags. (Closes: #656004)
  * Add patch to fix spelling errors found by lintian.
  * Convert debian/copyright to machine-readable DEP-3 format.
  * Update long package description:
    + Add asterisks in front of list items.
    + Remove upstream author name (that's what debian/copyright is for)
    + Mention that there's neither HTTPS nor IPv6 support.

 -- Axel Beckert <abe@debian.org>  Wed, 02 Dec 2015 00:31:56 +0100

netrik (1.16.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Enable hardened build flags (Closes: #656004)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 05 Apr 2012 00:03:52 +0200

netrik (1.16.1-1) unstable; urgency=low

  * new upstream release (Closes: #549095)
  * ack Rhondas NMU
  * changed build-dep to automake
  * bumped standards to 3.8.3 (no changes needed)
  * debian/control: added {misc:Depends}, bumped dh_compat to 7

 -- Edelhard Becker <edelhard@debian.org>  Mon, 05 Oct 2009 21:41:04 +0200

netrik (1.15.7-2.1) unstable; urgency=low

  * Non-maintainer upload to link against libncursesw5 (closes: #504023):
    - Build-Depend on libncursesw5-dev instead of libncurses5.dev.
    - #include <ncursesw/curses.h> instead of <curses.h>.
    - #include <ncursesw/term.h> instead of <term.h>.
    - Use -lncursesw instead of -lncurses in configure.ac.

 -- Gerfried Fuchs <rhonda@debian.at>  Wed, 05 Nov 2008 10:16:58 +0100

netrik (1.15.7-2) unstable; urgency=low

  * aargh: instead of my dumb ad-hoc "solution" use the syntax from
    http://lintian.debian.org/reports/tags/debian-rules-ignores-make-clean-error.html
    in make clean (Closes: #476231)

 -- Edelhard Becker <edelhard@debian.org>  Tue, 15 Apr 2008 11:14:45 +0200

netrik (1.15.7-1) unstable; urgency=low

  * new upstream release
  * fixed watch file to fetch sources from sf.net properly
  * debian/rules: added more stuff to the clean target
  * fixed lintian warnings:
      - debian-rules-ignores-make-clean-error: remove '-'
      - bumped standards to 3.7.3: after menu update
      - moved homepage from description to control field
      - build-depends-on-1-revision: now b-d on libncurses5-dev (>= 5.4)
      - manpage-has-errors-from-man: move '&' to end of previous line
      - package-contains-empty-directory usr/sbin/: no more
      - doc-base-unknown-section: moved to Network/Web Browsing
      - old-fsf-address-in-copyright-file: updated
      - menu-item-uses-apps-section/menu-item-creates-new-section: moved to
        Applications/Network/Web Browsing
  * as of 1.15.4 upstream sends a User-Agent: header (Closes: #349364)

 -- Edelhard Becker <edelhard@debian.org>  Mon, 14 Apr 2008 18:18:45 +0200

netrik (1.15.3-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules
    - fixed FTBFS if built twice in a row (Closes: #424595)
  * debian/control
    - updated build-dep on automake1.4 (Closes: #398313)

 -- Sandro Tosi <matrixhasu@gmail.com>  Sun, 13 Apr 2008 23:50:08 +0200

netrik (1.15.3-1.1) unstable; urgency=high

  * NMU by the Security Team:
  * Sanitise file names to prevent execution of arbitrary shell commands.
    (CVE-2006-6678, patch by Steve Kemp)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 24 Dec 2006 18:12:26 +0100

netrik (1.15.3-1) unstable; urgency=low

  * New upstream release packaged

 -- Edelhard Becker <edelhard@debian.org>  Thu, 30 Dec 2004 01:50:34 +0100

netrik (1.15.3_0) unstable; urgency=low

  * New upstream release
    + fixed a serious HTML parsing bug

 -- antrik <antrik@users.sf.net>  Mon, 20 Dec 2004 23:37:41 +0100

netrik (1.15.2_0) unstable; urgency=low

  * New upstream release
    + updated/improved build system
    + fix various crashes and other bugs

 -- antrik <antrik@users.sf.net>  Mon, 15 Nov 2004 01:14:08 +0100

netrik (1.15.1_0) unstable; urgency=low

  * New upstream release
    + fixed handling of <meta>

 -- antrik <antrik@users.sf.net>  Sat, 21 Aug 2004 16:39:41 +0200

netrik (1.15.0-1) unstable; urgency=low

  * New upstream release

 -- Edelhard Becker <edelhard@debian.org>  Fri, 30 Apr 2004 19:53:33 +0200

netrik (1.15.0-0) unstable; urgency=low

  * New upstream release
    + more parser fixes/improvements
    + fixes/improvements in form handling

 -- antrik <antrik@users.sf.net>  Sun, 25 Apr 2004 21:55:05 +0200

netrik (1.14.0-1) unstable; urgency=low

  * bumped standards to 3.6.1
  * Add netrik as alternative to www-browser (with prio 10), closes: #238804.

 -- Edelhard Becker <edelhard@debian.org>  Tue, 20 Apr 2004 15:35:05 +0200

netrik (1.14.0-0) unstable; urgency=low

  * New upstream release
    + improved/more correct HTML error handling and reporting

 -- antrik <antrik@users.sf.net>  Mon, 19 Apr 2004 17:14:23 +0200

netrik (1.13.0-0) unstable; urgency=low

  * New upstream release
    + don't print repeated HTML error messages

 -- antrik <antrik@users.sf.net>  Fri,  5 Mar 2004 08:24:24 +0100

netrik (1.12.1-0) unstable; urgency=low

  * New upstream release
    + fixed two small but critical bugs

 -- antrik <antrik@users.sf.net>  Sat, 21 Feb 2004 19:45:27 +0100

netrik (1.12.0-1) unstable; urgency=low

  * removed debian/shlibs.local since #194633 is closed by libncurses5

 -- Edelhard Becker <edelhard@debian.org>  Mon,  8 Sep 2003 12:26:26 +0200

netrik (1.12.0-0) unstable; urgency=low

  * New upstream release
    + add (simple) b/w mode
    + produce plain text output with --dump --bw

 -- antrik <antrik@users.sf.net>  Sun,  7 Sep 2003 11:23:45 +0200

netrik (1.11-1) unstable; urgency=low

  * new upstream release

 -- Edelhard Becker <edelhard@debian.org>  Thu, 14 Aug 2003 12:57:45 +0200

netrik (1.10.3-1) unstable; urgency=low

  * new upstream release

 -- Edelhard Becker <edelhard@debian.org>  Mon, 11 Aug 2003 20:10:40 +0200

netrik (1.10.2-2) unstable; urgency=low

  * debian/rules: replaced call from autoreconf2.50 to autoreconf
    and added Build-Depends on automake (Closes: #195960)
  * bumped standards to 3.5.10

 -- Edelhard Becker <edelhard@debian.org>  Sat,  7 Jun 2003 21:45:44 +0200

netrik (1.10.2-1) unstable; urgency=low

  * exclude README from dh_compress since it's referred by index.html
  * changed maintainer e-mail to my new debian account
  * added debian/shlibs.local temporarily until libncurses5 is fixed (see
    #194633)
  * added target for configure to support clean building via cvs-buildpackage

 -- Edelhard Becker <edelhard@debian.org>  Fri, 30 May 2003 18:06:00 +0200

netrik (1.10.2-0) unstable; urgency=low

  * New upstream release
    + fixed link highlighting
    + fixed word wrapping
    + properly escape invalid chars in URL

 -- antrik <antrik@users.sf.net>  Sat, 24 May 2003 03:55:18 +0200

netrik (1.10.1-2) unstable; urgency=low

  * added versioned Build-Depends to ncurses

 -- Edelhard Becker <becker@edelhard.de>  Sun, 18 May 2003 15:21:28 +0200

netrik (1.10.1-1) unstable; urgency=low

  * prepared upload
  * added netrik.overrides for empty html file

 -- Edelhard Becker <becker@edelhard.de>  Thu,  8 May 2003 16:47:13 +0200

netrik (1.10.1-0) unstable; urgency=low

  * New upstream release
    + include debian control files in upstream tarball
    + various minor fixes to compiler warnings, memory leaks etc.

 -- antrik <antrik@users.sf.net>  Wed, 07 May 2003 02:43:10 +0200

netrik (1.9-1) unstable; urgency=low

  * New upstream release
  * merged with previous work from Patrice Neff

 -- Edelhard Becker <becker@edelhard.de>  Sat,  3 May 2003 00:49:34 +0200

netrik (1.8.0-1) unstable; urgency=low

  * New upstream release
  * initial upload (Closes: #190728, #189699)

 -- Edelhard Becker <becker@edelhard.de>  Fri, 25 Apr 2003 14:21:23 +0200

netrik (1.7.0-1) unstable; urgency=low

  * New upstream release
  * adjusted watch file to new path on swiss mirror

 -- Edelhard Becker <becker@edelhard.de>  Wed,  9 Apr 2003 09:46:46 +0200

netrik (1.6.0-1) unstable; urgency=low

  * New upstream release

 -- Edelhard Becker <becker@edelhard.de>  Sun, 30 Mar 2003 14:18:39 +0200

netrik (1.5.0-1) unstable; urgency=low

  * New upstream release

 -- Edelhard Becker <becker@edelhard.de>  Fri,  7 Mar 2003 10:54:07 +0100

netrik (1.4.0-1) unstable; urgency=low

  * New upstream release
  * added watch file

 -- Edelhard Becker <becker@edelhard.de>  Fri,  7 Mar 2003 10:23:27 +0100

netrik (1.3.0-1) unstable; urgency=low

  * Initial Release.

 -- Edelhard Becker <becker@edelhard.de>  Wed, 26 Feb 2003 11:28:29 +0100

netrik (0.15-1) unstable; urgency=low

  * New upstream release.
 
 -- Patrice Neff <software@patrice.ch>  Tue, 18 Jun 2002 18:51:01 +0200

netrik (0.14-1) unstable; urgency=low

  * New upstream release.
 
 -- Patrice Neff <software@patrice.ch>  Sat,  1 Jun 2002 12:22:02 +0200

netrik (0.13-1) unstable; urgency=low

  * New upstream release.
 
 -- Patrice Neff <software@patrice.ch>  Fri, 24 May 2002 14:24:49 +0200

netrik (0.12-4) unstable; urgency=low

  * Corrected copyright file.

 -- Patrice Neff <software@patrice.ch>  Thu, 23 May 2002 10:17:24 +0200

netrik (0.12-3) unstable; urgency=low

  * Added man page

 -- Patrice Neff <software@patrice.ch>  Sun, 19 May 2002 14:16:17 +0200

netrik (0.12-2) unstable; urgency=low

  * Added to menu.

 -- Patrice Neff <software@patrice.ch>  Sat, 18 May 2002 18:04:39 +0200

netrik (0.12-1) unstable; urgency=low

  * Initial Release.

 -- Patrice Neff <software@patrice.ch>  Sat, 18 May 2002 13:43:31 +0200

